Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class Jboss51DescriptorImpl

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
          org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
              org.jboss.shrinkwrap.descriptor.impl.jboss51.Jboss51DescriptorImpl

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>, Jboss51Descriptor, org.jboss.shrinkwrap.descriptor.spi.NodeProvider

    public class Jboss51DescriptorImpl

extends org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
implements org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>, Jboss51Descriptor

This deployment descriptor provides the functionalities as described in the jboss_5_1.xsd specification

Example:

`Jboss51Descriptor descriptor = Descriptors.create(Jboss51Descriptor.class);`

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`Jboss51DescriptorImpl(java.lang.String descriptorName)`
`Jboss51DescriptorImpl(java.lang.String descriptorName, org.jboss.shrinkwrap.descriptor.spi.Node node)`

Method Summary
`Jboss51Descriptor` | `addDefaultNamespaces()`
`Jboss51Descriptor` | `addNamespace(java.lang.String name, java.lang.String value)`
`AssemblyDescriptorType<Jboss51Descriptor>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<Jboss51Descriptor>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<Jboss51Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJaccContextId()` Returns the `jacc-context-id` element
`java.lang.String` | `getJmxName()` Returns the `jmx-name` element
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.util.List<java.lang.String>` | `getNamespaces()`
`org.jboss.shrinkwrap.descriptor.spi.Node` | `getRootNode()`
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.lang.String` | `getUnauthenticatedPrincipal()` Returns the `unauthenticated-principal` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<Jboss51Descriptor>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`java.lang.Boolean` | `isMissingMethodPermissionsExcludedMode()` Returns the `missing-method-permissions-excluded-mode` element
`LoaderRepositoryType<Jboss51Descriptor>` | `loaderRepository()` If not already created, a new `loader-repository` element will be created and returned.
`Jboss51Descriptor` | `removeAllDescription()` Removes the `description` element
`Jboss51Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`Jboss51Descriptor` | `removeAllIcon()` Removes all `icon` elements
`Jboss51Descriptor` | `removeAllNamespaces()`
`Jboss51Descriptor` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`Jboss51Descriptor` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`Jboss51Descriptor` | `removeJaccContextId()` Removes the `jacc-context-id` element
`Jboss51Descriptor` | `removeJmxName()` Removes the `jmx-name` element
`Jboss51Descriptor` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`Jboss51Descriptor` | `removeLoaderRepository()` Removes the `loader-repository` element
`Jboss51Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`Jboss51Descriptor` | `removeMissingMethodPermissionsExcludedMode()` Removes the `missing-method-permissions-excluded-mode` element
`Jboss51Descriptor` | `removeResourceManagers()` Removes the `resource-managers` element
`Jboss51Descriptor` | `removeSecurityDomain()` Removes the `security-domain` element
`Jboss51Descriptor` | `removeUnauthenticatedPrincipal()` Removes the `unauthenticated-principal` element
`Jboss51Descriptor` | `removeVersion()` Removes the `version` attribute
`Jboss51Descriptor` | `removeWebservices()` Removes the `webservices` element
`ResourceManagersType<Jboss51Descriptor>` | `resourceManagers()` If not already created, a new `resource-managers` element will be created and returned.
`Jboss51Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`Jboss51Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`Jboss51Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`Jboss51Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`Jboss51Descriptor` | `setJaccContextId(java.lang.String jaccContextId)` If not already created, a new `jacc-context-id` element with the given value will be created.
`Jboss51Descriptor` | `setJmxName(java.lang.String jmxName)` If not already created, a new `jmx-name` element with the given value will be created.
`Jboss51Descriptor` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`Jboss51Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`Jboss51Descriptor` | `setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)` If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created.
`Jboss51Descriptor` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`Jboss51Descriptor` | `setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)` If not already created, a new `unauthenticated-principal` element with the given value will be created.
`Jboss51Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebservicesType<Jboss51Descriptor>` | `webservices()` If not already created, a new `webservices` element will be created and returned.

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
`exportAsString, exportTo`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
`getDescriptorName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Constructor Detail

### Jboss51DescriptorImpl

    public Jboss51DescriptorImpl(java.lang.String descriptorName)

### Jboss51DescriptorImpl

    public Jboss51DescriptorImpl(java.lang.String descriptorName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

Method Detail

### getRootNode

    public org.jboss.shrinkwrap.descriptor.spi.Node getRootNode()

  Specified by:
    `getRootNode` in interface `org.jboss.shrinkwrap.descriptor.spi.NodeProvider`

### addDefaultNamespaces

    public Jboss51Descriptor addDefaultNamespaces()

  Specified by:
    `addDefaultNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>`

### addNamespace

    public Jboss51Descriptor addNamespace(java.lang.String name,
                                          java.lang.String value)

  Specified by:
    `addNamespace` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>`

### getNamespaces

    public java.util.List<java.lang.String> getNamespaces()

  Specified by:
    `getNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>`

### removeAllNamespaces

    public Jboss51Descriptor removeAllNamespaces()

  Specified by:
    `removeAllNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>`

### removeLoaderRepository

    public Jboss51Descriptor removeLoaderRepository()

  Removes the `loader-repository` element

  Specified by:
    `removeLoaderRepository` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### loaderRepository

    public LoaderRepositoryType<Jboss51Descriptor> loaderRepository()

  If not already created, a new `loader-repository` element will be created and returned. Otherwise, the existing `loader-repository` element will be returned.

  Specified by:
    `loaderRepository` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `loader-repository`

### setJmxName

    public Jboss51Descriptor setJmxName(java.lang.String jmxName)

  If not already created, a new `jmx-name` element with the given value will be created. Otherwise, the existing `jmx-name` element will be updated with the given value.

  Specified by:
    `setJmxName` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeJmxName

    public Jboss51Descriptor removeJmxName()

  Removes the `jmx-name` element

  Specified by:
    `removeJmxName` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getJmxName

    public java.lang.String getJmxName()

  Returns the `jmx-name` element

  Specified by:
    `getJmxName` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `jmx-name`

### setSecurityDomain

    public Jboss51Descriptor setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeSecurityDomain

    public Jboss51Descriptor removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `security-domain`

### setMissingMethodPermissionsExcludedMode

    public Jboss51Descriptor setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)

  If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created. Otherwise, the existing `missing-method-permissions-excluded-mode` element will be updated with the given value.

  Specified by:
    `setMissingMethodPermissionsExcludedMode` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeMissingMethodPermissionsExcludedMode

    public Jboss51Descriptor removeMissingMethodPermissionsExcludedMode()

  Removes the `missing-method-permissions-excluded-mode` element

  Specified by:
    `removeMissingMethodPermissionsExcludedMode` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### isMissingMethodPermissionsExcludedMode

    public java.lang.Boolean isMissingMethodPermissionsExcludedMode()

  Returns the `missing-method-permissions-excluded-mode` element

  Specified by:
    `isMissingMethodPermissionsExcludedMode` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `missing-method-permissions-excluded-mode`

### setUnauthenticatedPrincipal

    public Jboss51Descriptor setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)

  If not already created, a new `unauthenticated-principal` element with the given value will be created. Otherwise, the existing `unauthenticated-principal` element will be updated with the given value.

  Specified by:
    `setUnauthenticatedPrincipal` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeUnauthenticatedPrincipal

    public Jboss51Descriptor removeUnauthenticatedPrincipal()

  Removes the `unauthenticated-principal` element

  Specified by:
    `removeUnauthenticatedPrincipal` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getUnauthenticatedPrincipal

    public java.lang.String getUnauthenticatedPrincipal()

  Returns the `unauthenticated-principal` element

  Specified by:
    `getUnauthenticatedPrincipal` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `unauthenticated-principal`

### setJndiBindingPolicy

    public Jboss51Descriptor setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Specified by:
    `setJndiBindingPolicy` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeJndiBindingPolicy

    public Jboss51Descriptor removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Specified by:
    `removeJndiBindingPolicy` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getJndiBindingPolicy

    public java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Specified by:
    `getJndiBindingPolicy` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `jndi-binding-policy`

### setJaccContextId

    public Jboss51Descriptor setJaccContextId(java.lang.String jaccContextId)

  If not already created, a new `jacc-context-id` element with the given value will be created. Otherwise, the existing `jacc-context-id` element will be updated with the given value.

  Specified by:
    `setJaccContextId` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeJaccContextId

    public Jboss51Descriptor removeJaccContextId()

  Removes the `jacc-context-id` element

  Specified by:
    `removeJaccContextId` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getJaccContextId

    public java.lang.String getJaccContextId()

  Returns the `jacc-context-id` element

  Specified by:
    `getJaccContextId` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `jacc-context-id`

### removeWebservices

    public Jboss51Descriptor removeWebservices()

  Removes the `webservices` element

  Specified by:
    `removeWebservices` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### webservices

    public WebservicesType<Jboss51Descriptor> webservices()

  If not already created, a new `webservices` element will be created and returned. Otherwise, the existing `webservices` element will be returned.

  Specified by:
    `webservices` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `webservices`

### removeEnterpriseBeans

    public Jboss51Descriptor removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Specified by:
    `removeEnterpriseBeans` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### enterpriseBeans

    public EnterpriseBeansType<Jboss51Descriptor> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Specified by:
    `enterpriseBeans` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `enterprise-beans`

### removeAssemblyDescriptor

    public Jboss51Descriptor removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Specified by:
    `removeAssemblyDescriptor` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### assemblyDescriptor

    public AssemblyDescriptorType<Jboss51Descriptor> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Specified by:
    `assemblyDescriptor` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `assembly-descriptor`

### removeResourceManagers

    public Jboss51Descriptor removeResourceManagers()

  Removes the `resource-managers` element

  Specified by:
    `removeResourceManagers` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### resourceManagers

    public ResourceManagersType<Jboss51Descriptor> resourceManagers()

  If not already created, a new `resource-managers` element will be created and returned. Otherwise, the existing `resource-managers` element will be returned.

  Specified by:
    `resourceManagers` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `resource-managers`

### setVersion

    public Jboss51Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `Jboss51Descriptor`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeVersion

    public Jboss51Descriptor removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public Jboss51Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `Jboss51Descriptor`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `Jboss51Descriptor`

### removeMetadataComplete

    public Jboss51Descriptor removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `metadata-complete`

### setDescription

    public Jboss51Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### setDescriptionList

    public Jboss51Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `Jboss51Descriptor`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `Jboss51Descriptor`

### removeAllDescription

    public Jboss51Descriptor removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `Jboss51Descriptor`
  Returns:
    list of `description`

### setDisplayName

    public Jboss51Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### setDisplayNameList

    public Jboss51Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `Jboss51Descriptor`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `Jboss51Descriptor`

### removeAllDisplayName

    public Jboss51Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `Jboss51Descriptor`
  Returns:
    list of `display-name`

### removeAllIcon

    public Jboss51Descriptor removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `Jboss51Descriptor`
  Returns:
    the current instance of `Jboss51Descriptor`

### icon

    public IconType<Jboss51Descriptor> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `Jboss51Descriptor`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<Jboss51Descriptor>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `Jboss51Descriptor`
  Returns:
    list of `icon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD